- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# QMoveEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 329 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QMoveEvent:
[legend]

List of all members.

## Public Member Functions
| QMoveEvent (const QPoint &pos, const QPoint &oldPos)
| ~QMoveEvent ()
const QPoint & | pos () const
const QPoint & | oldPos () const
## Protected Attributes
QPoint | p
QPoint | oldp
## Friends
class | QApplication
class | QCoreApplication

## Constructor & Destructor Documentation

QMoveEvent | ( | const QPoint & | pos,
|  | const QPoint & | oldPos
| ) |  |

~QMoveEvent | ( |  | ) |

## Member Function Documentation

const QPoint& pos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 335 of file qevent.h.

    { return p; }

const QPoint& oldPos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 336 of file qevent.h.

    { return oldp;}

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 339 of file qevent.h.

friend class QCoreApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 340 of file qevent.h.

## Member Data Documentation

QPoint p `[protected]`

Search for all occurrences

Definition at line 338 of file qevent.h.

QPoint oldp `[protected]`

Search for all occurrences

Definition at line 338 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent
QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent QMoveEvent